@use postcss-preset-env {
  stage: 0;
}

/* helpers/align.css */

.align {
  display: grid;
  place-items: center;
}

/* helpers/grid.css */

:root {
  --gridMaxWidth: 24em;
  --gridWidth: 90%;
  --bodyBackgroundColor: #eaeaea;
  --bodyColor: #999;
  --bodyFontFamily: 'Helvetica', 'Arial';
  --bodyFontFamilyFallback: sans-serif;
  --bodyFontSize: 0.875rem;
  --bodyFontWeight: 400;
  --bodyLineHeight: 1.5;
  --loginBorderRadius: 0.25em;
  --loginHeaderBackgroundColor: #282830;
  --loginErrColor: #ff0000;
  --loginInputBorderRadius: 0.25em;
  --anchorColor: inherit;
  --anchorHoverColor: #1dabb8;
}

.grid {
  inline-size: var(--gridWidth);
  margin-inline: auto;
  max-inline-size: var(--gridMaxWidth);
}

/* helpers/icon.css */

.icon {
  block-size: 1.25em;
  display: inline-block;
  inline-size: 1.25em;
  line-height: 1.25em;
  margin-right: 0.625em;
  text-align: center;
  vertical-align: middle;
}

.icon--info {
  background-color: #e5e5e5;
  border-radius: 50%;
}

/* layout/base.css */


*,
*::before,
*::after {
  box-sizing: inherit;
}

html {
  box-sizing: border-box;
}

body {
  background-color: var(--bodyBackgroundColor);
  font-family: var(--bodyFontFamily), var(--bodyFontFamilyFallback);
  font-size: var(--bodyFontSize);
  font-weight: var(--bodyFontWeight);
  line-height: var(--bodyLineHeight);
  margin: 0;
  min-block-size: 100vh;
}

a {
  color: var(--anchorColor);
  text-decoration: none;
  transition: color 0.3s;
}

a:hover {
  color: var(--anchorHoverColor);
}

/* modules/form.css */

fieldset {
  border: none;
  margin: 0;
}

input {
  appearance: none;
  border: none;
  font: inherit;
  margin: 0;
  outline: none;
  padding: 0;
}

input[type='submit'] {
  cursor: pointer;
}

.form input[type='username'],
.form input[type='password'] {
  inline-size: 100%;
}



.login__header {
  background-color: var(--loginHeaderBackgroundColor);
  border-top-left-radius: var(--loginBorderRadius);
  border-top-right-radius: var(--loginBorderRadius);
  color: #fff;
  padding: 1.5em;
  text-align: center;
  text-transform: uppercase;
}

.login__header_err {
  border-top-left-radius: var(--loginBorderRadius);
  border-top-right-radius: var(--loginBorderRadius);
  color: var(--loginErrColor);
  text-align: left;
  font-size: 12;
  text-transform: uppercase;
}

.login__title {
  font-size: 1rem;
  margin: 0;
}

.login__title_err {
  margin: 0;
  color: var(--loginErrColor);
}

.login__body {
  background-color: #fff;
  padding: 1.5em;
  position: relative;
}

.login__body::before {
  background-color: #fff;
  content: '';
  height: 0.5em;
  left: 50%;
  margin-left: -0.25em;
  margin-top: -0.25em;
  position: absolute;
  top: 0;
  transform: rotate(45deg);
  width: 0.5em;
}

.login input[type='username'],
.login input[type='password'] {
  border: 0.0625em solid #e5e5e5;
  padding: 1em 1.25em;
}

.login input[type='username'] {
  border-top-left-radius: var(--loginInputBorderRadius);
  border-top-right-radius: var(--loginInputBorderRadius);
}

.login input[type='password'] {
  border-bottom-left-radius: var(--loginInputBorderRadius);
  border-bottom-right-radius: var(--loginInputBorderRadius);
  border-top: 0;
}

.login input[type='submit'] {
  background-color: #1dabb8;
  border-radius: var(--loginInputBorderRadius);
  color: #fff;
  font-weight: 700;
  order: 1;
  padding: 0.75em 1.25em;
  transition: background-color 0.3s;
}

.login input[type='submit']:focus,
.login input[type='submit']:hover {
  background-color: #198d98;
}

.login__footer {
  background-color: #fff;
  border-bottom-left-radius: var(--loginBorderRadius);
  border-bottom-right-radius: var(--loginBorderRadius);
  display: flex;
  justify-content: space-between;
  padding-top: 2em;
  padding-bottom: 1.5em;  
}

.login__footer p {
  margin: 0;
}
.error-msg {
  width: 400px;
  margin: 4rem auto;
  text-align: center;
  padding: 1rem 2rem;
  align-items: center;
  color: #f70303;
  border-radius: 20px;
  background: #ffffff;
  box-shadow: 4px 4px 12px #cbced1;
}
.login-container {
  background-color: #ffffff;
  position: absolute;
  width: 812px;
  height: 520px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  box-shadow: 13px 13px 20px #cbced1, -13px -13px 20px #ffffff;
  border-radius: 40px;
}
.setup-img {
  position: absolute;
  height: 220px;
  bottom: 100px;
  left: 40px;
  width: 220px;
}
.login-container-accent {
  background-color: #a9c34b;
  position: absolute;
  width: 300px;
  height: 520px;
  padding-top: 2rem;
  font-size: 1rem;  
  text-align: center;
  color: #ffffff;
  box-shadow: 5px 5px 7px #9ea5b690;
  border-radius: 40px;
}

.login-header {
	font-weight: 750;
}

.control {
	padding-top: 0.3rem;
}

.copyright {
	position: absolute;
	color: #ffffffbb;
	text-align: right;
	bottom: 0;
	right: 2rem;
}

.login-form {
  margin-top: 16%;
  margin-left: 400px;
}
input {
  border: none;
  outline: none;
  padding: 0.5em;
  border-radius: 10px;
  width: 80%;
  margin-bottom: 0.5em;
  box-shadow: inset 4px 4px 6px #cacaca, inset -4px -4px 6px #ffffff;
}
button {
  cursor: pointer;
  padding: 0.6rem 1rem;
  font-size: 16px;
  border: none;
  color: #22282c;
  border-radius: 10px;
  box-shadow: 4px 4px 8px #63719670, -4px -4px 8px #ffffff;
  transition: 0.2s ease-in;
  &:focus {
    outline: 0;
  }
  &:hover {
    background-color: #a9c34b;
    color: #ffffff;
  }
}